IRremoteESP8266: NeoclimaProtocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
NeoclimaProtocol Union Reference

Native representation of a Neoclima A/C message. More...

`#include <ir_Neoclima.h>`

## Public Attributes

uint8_t | raw [kNeoclimaStateLength]
| State of the remote in code. More...
struct {
uint8_t __pad0__:8
uint8_t __pad1__:1
uint8_t CHeat:1
uint8_t Ion:1
uint8_t __pad2__:5
uint8_t __pad3__:8
uint8_t Light:1
uint8_t __pad4__:1
uint8_t Hold:1
uint8_t Turbo:1
uint8_t Econo:1
uint8_t __pad5__:1
uint8_t Eye:1
uint8_t __pad6__:1
uint8_t __pad7__:8
uint8_t Button:5
uint8_t __pad8__:2
uint8_t Fresh:1
uint8_t __pad9__:8
uint8_t Sleep:1
uint8_t Power:1
uint8_t SwingV:2
uint8_t SwingH:1
uint8_t Fan:2
uint8_t UseFah:1
uint8_t Follow:8
uint8_t Temp:5
uint8_t Mode:3
uint8_t __pad10__:8
uint8_t Sum:8
}; |

## Detailed Description

Native representation of a Neoclima A/C message.

## Member Data Documentation

## ◆ @66

struct { ... }

## ◆ __pad0__

uint8_t NeoclimaProtocol::__pad0__

## ◆ __pad10__

uint8_t NeoclimaProtocol::__pad10__

## ◆ __pad1__

uint8_t NeoclimaProtocol::__pad1__

## ◆ __pad2__

uint8_t NeoclimaProtocol::__pad2__

## ◆ __pad3__

uint8_t NeoclimaProtocol::__pad3__

## ◆ __pad4__

uint8_t NeoclimaProtocol::__pad4__

## ◆ __pad5__

uint8_t NeoclimaProtocol::__pad5__

## ◆ __pad6__

uint8_t NeoclimaProtocol::__pad6__

## ◆ __pad7__

uint8_t NeoclimaProtocol::__pad7__

## ◆ __pad8__

uint8_t NeoclimaProtocol::__pad8__

## ◆ __pad9__

uint8_t NeoclimaProtocol::__pad9__

## ◆ Button

uint8_t NeoclimaProtocol::Button

## ◆ CHeat

uint8_t NeoclimaProtocol::CHeat

## ◆ Econo

uint8_t NeoclimaProtocol::Econo

## ◆ Eye

uint8_t NeoclimaProtocol::Eye

## ◆ Fan

uint8_t NeoclimaProtocol::Fan

## ◆ Follow

uint8_t NeoclimaProtocol::Follow

## ◆ Fresh

uint8_t NeoclimaProtocol::Fresh

## ◆ Hold

uint8_t NeoclimaProtocol::Hold

## ◆ Ion

uint8_t NeoclimaProtocol::Ion

## ◆ Light

uint8_t NeoclimaProtocol::Light

## ◆ Mode

uint8_t NeoclimaProtocol::Mode

## ◆ Power

uint8_t NeoclimaProtocol::Power

## ◆ raw

uint8_t NeoclimaProtocol::raw[kNeoclimaStateLength]

State of the remote in code.

## ◆ Sleep

uint8_t NeoclimaProtocol::Sleep

## ◆ Sum

uint8_t NeoclimaProtocol::Sum

## ◆ SwingH

uint8_t NeoclimaProtocol::SwingH

## ◆ SwingV

uint8_t NeoclimaProtocol::SwingV

## ◆ Temp

uint8_t NeoclimaProtocol::Temp

## ◆ Turbo

uint8_t NeoclimaProtocol::Turbo

## ◆ UseFah

uint8_t NeoclimaProtocol::UseFah

The documentation for this union was generated from the following file:

- src/ir_Neoclima.h